<?php
$config = winemaker_kirki_config();

WINEMAKER_Kirki::add_section( 'dt_sociable_section', array(
	'title' => esc_html__( 'Site Sociable', 'winemaker' ),
	'priority' => 190
) );

	# Delicious
	WINEMAKER_Kirki::add_field( $config, array(
		'type'     => 'text',
		'settings' => 'social-delicious',
		'label'	   => esc_html__( 'Delicious', 'winemaker' ),
		'section'  => 'dt_sociable_section',
		'default'  => '#'	
	));

	# Deviantart 
	WINEMAKER_Kirki::add_field( $config, array(
		'type'     => 'text',
		'settings' => 'social-deviantart',
		'label'	   => esc_html__( 'Deviantart', 'winemaker' ),
		'section'  => 'dt_sociable_section',
	));

	# Digg 
	WINEMAKER_Kirki::add_field( $config, array(
		'type'     => 'text',
		'settings' => 'social-digg',
		'label'	   => esc_html__( 'Digg', 'winemaker' ),
		'section'  => 'dt_sociable_section',
	));

	# Dribbble
	WINEMAKER_Kirki::add_field( $config, array(
		'type'     => 'text',
		'settings' => 'social-dribbble',
		'label'	   => esc_html__( 'Dribbble', 'winemaker' ),
		'section'  => 'dt_sociable_section',
		'default'  => '#'
	));

	# Envelope
	WINEMAKER_Kirki::add_field( $config, array(
		'type'     => 'text',
		'settings' => 'social-envelope',
		'label'	   => esc_html__( 'Envelope', 'winemaker' ),
		'section'  => 'dt_sociable_section',
	));			

	# Facebook
	WINEMAKER_Kirki::add_field( $config, array(
		'type'     => 'text',
		'settings' => 'social-facebook',
		'label'	   => esc_html__( 'Facebook', 'winemaker' ),
		'section'  => 'dt_sociable_section',
		'default'  => '#'
	));

	# Flickr
	WINEMAKER_Kirki::add_field( $config, array(
		'type'     => 'text',
		'settings' => 'social-flickr',
		'label'    => esc_html__( 'Flickr', 'winemaker' ),
		'section'  => 'dt_sociable_section',
	));

	# Google Plus
	WINEMAKER_Kirki::add_field( $config, array(
		'type'     => 'text',
		'settings' => 'social-google-plus',
		'label'	   => esc_html__( 'Google Plus', 'winemaker' ),
		'section'  => 'dt_sociable_section',
	));

	# GTalk
	WINEMAKER_Kirki::add_field( $config, array(
		'type'     => 'text',
		'settings' => 'social-gtalk',
		'label'	   => esc_html__( 'GTalk', 'winemaker' ),
		'section'  => 'dt_sociable_section',
	));

	# Instagram
	WINEMAKER_Kirki::add_field( $config, array(
		'type'     => 'text',
		'settings' => 'social-instagram',
		'label'	   => esc_html__( 'Instagram', 'winemaker' ),
		'section'  => 'dt_sociable_section',
	));

	# Lastfm
	WINEMAKER_Kirki::add_field( $config, array(
		'type'     => 'text',
		'settings' => 'social-lastfm',
		'label'	   => esc_html__( 'Lastfm', 'winemaker' ),
		'section'  => 'dt_sociable_section',
	));

	# Linkedin
	WINEMAKER_Kirki::add_field( $config, array(
		'type'     => 'text',
		'settings' => 'social-linkedin',
		'label'    => esc_html__( 'Linkedin', 'winemaker' ),
		'section'  => 'dt_sociable_section',
	));

	# Pinterest
	WINEMAKER_Kirki::add_field( $config, array(
		'type'     => 'text',
		'settings' => 'social-pinterest',
		'label'	   => esc_html__( 'Pinterest', 'winemaker' ),
		'section'  => 'dt_sociable_section',
	));

	# Reddit
	WINEMAKER_Kirki::add_field( $config, array(
		'type'     => 'text',
		'settings' => 'social-reddit',
		'label'	   => esc_html__( 'Reddit', 'winemaker' ),
		'section'  => 'dt_sociable_section',
	));

	# RSS
	WINEMAKER_Kirki::add_field( $config, array(
		'type'     => 'text',
		'settings' => 'social-rss',
		'label'	   => esc_html__( 'RSS', 'winemaker' ),
		'section'  => 'dt_sociable_section',
	));

	# Skype
	WINEMAKER_Kirki::add_field( $config, array(
		'type'     => 'text',
		'settings' => 'social-skype',
		'label'	   => esc_html__( 'Skype', 'winemaker' ),
		'section'  => 'dt_sociable_section',
	));

	# Stumbleupon 
	WINEMAKER_Kirki::add_field( $config, array(
		'type'     => 'text',
		'settings' => 'social-stumbleupon',
		'label'	   => esc_html__( 'Stumbleupon', 'winemaker' ),
		'section'  => 'dt_sociable_section',
	));

	# Tumblr
	WINEMAKER_Kirki::add_field( $config, array(
		'type'     => 'text',
		'settings' => 'social-tumblr',
		'label'	   => esc_html__( 'Tumblr', 'winemaker' ),
		'section'  => 'dt_sociable_section',
	));

	# Twitter 
	WINEMAKER_Kirki::add_field( $config, array(
		'type'     => 'text',
		'settings' => 'social-twitter',
		'label'	   => esc_html__( 'Twitter', 'winemaker' ),
		'section'  => 'dt_sociable_section',
	));

	# Viadeo
	WINEMAKER_Kirki::add_field( $config, array(
		'type'     => 'text',
		'settings' => 'social-viadeo',
		'label'	   => esc_html__( 'Viadeo', 'winemaker' ),
		'section'  => 'dt_sociable_section',
	));

	# Vimeo
	WINEMAKER_Kirki::add_field( $config, array(
		'type'     => 'text',
		'settings' => 'social-vimeo',
		'label'	   => esc_html__( 'Vimeo', 'winemaker' ),
		'section'  => 'dt_sociable_section',
	));

	# Yahoo
	WINEMAKER_Kirki::add_field( $config, array(
		'type'     => 'text',
		'settings' => 'social-yahoo',
		'label'	   => esc_html__( 'Yahoo', 'winemaker' ),
		'section'  => 'dt_sociable_section',
	));

	# Youtube
	WINEMAKER_Kirki::add_field( $config, array(
		'type'     => 'text',
		'settings' => 'social-youtube',
		'label'	   => esc_html__( 'Youtube', 'winemaker' ),
		'section'  => 'dt_sociable_section',
	));