<?php
/* ---------------------------------------------------------------------------
 * Hook of Top
 * --------------------------------------------------------------------------- */
if (!function_exists('winemaker_hook_top')) {
	function winemaker_hook_top() {
		if( cs_get_option( 'enable-top-hook' ) ) :
			echo '<!-- winemaker_hook_top -->';
				$hook = cs_get_option( 'top-hook' );
				$hook = do_shortcode( stripslashes($hook) );
				if (!empty($hook))
					echo apply_filters( 'winemaker_top_hook', $hook );
			echo '<!-- winemaker_hook_top -->';
		endif;	
	}
}
add_action( 'winemaker_hook_top', 'winemaker_hook_top' );


/* ---------------------------------------------------------------------------
 * Hook of Content before
 * --------------------------------------------------------------------------- */
if (!function_exists('winemaker_hook_content_before')) {
	function winemaker_hook_content_before() {
		if( cs_get_option( 'enable-content-before-hook' ) ) :
			echo '<!-- winemaker_hook_content_before -->';
				$hook = cs_get_option( 'content-before-hook' );
				$hook = do_shortcode( stripslashes($hook) );
				if (!empty($hook))
					echo do_shortcode( stripslashes($hook) );
			echo '<!-- winemaker_hook_content_before -->';
		endif;
	}
}
add_action( 'winemaker_hook_content_before', 'winemaker_hook_content_before' );


/* ---------------------------------------------------------------------------
 * Hook of Content after
 * --------------------------------------------------------------------------- */
if (!function_exists('winemaker_hook_content_after')) {
	function winemaker_hook_content_after() {
		if( cs_get_option( 'enable-content-after-hook' ) ) :
			echo '<!-- winemaker_hook_content_after -->';
				$hook = cs_get_option( 'content-after-hook' );
				$hook = do_shortcode( stripslashes($hook) );
				if (!empty($hook))
					echo do_shortcode( stripslashes($hook) );
			echo '<!-- winemaker_hook_content_after -->';
		endif;
	}
}
add_action( 'winemaker_hook_content_after', 'winemaker_hook_content_after' );


/* ---------------------------------------------------------------------------
 * Hook of Bottom
 * --------------------------------------------------------------------------- */
if (!function_exists('winemaker_hook_bottom')) {
	function winemaker_hook_bottom() {
		if( cs_get_option( 'enable-bottom-hook' ) ) :
			echo '<!-- winemaker_hook_bottom -->';
				$hook = cs_get_option( 'bottom-hook' );
				$hook = do_shortcode( stripslashes($hook) );
				if (!empty($hook))
					echo do_shortcode( stripslashes($hook) );
			echo '<!-- winemaker_hook_bottom -->';
		endif;
	}
}
add_action( 'winemaker_hook_bottom', 'winemaker_hook_bottom' );

/* ---------------------------------------------------------------------------
 * Predefined Skins
 * --------------------------------------------------------------------------- */
if( !function_exists('winemaker_skins') ){
    function winemaker_skins( $skin ) {

        $skins['brown'] = array('primary-color'=>'#9a7b4f', 'secondary-color' => '#7a5521', 'tertiary-color' => '#e4b573');
		$skins['cadeblue'] = array('primary-color'=>'#4da6b1', 'secondary-color' => '#26818c', 'tertiary-color' => '#7fd9e4');
		$skins['chillipepper'] = array('primary-color'=>'#ae0421', 'secondary-color' => '#81071b', 'tertiary-color' => '#d82d4a');
		$skins['darkgolden'] = array('primary-color'=>'#817d36', 'secondary-color' => '#6e6a1e', 'tertiary-color' => '#9d983d');
		$skins['green'] = array('primary-color'=>'#4ba53e', 'secondary-color' => '#278419', 'tertiary-color' => '#65df53');
		$skins['magenta'] = array('primary-color'=>'#a53e4c', 'secondary-color' => '#901324', 'tertiary-color' => '#e95d70');
		$skins['orange'] = array('primary-color'=>'#c75e24', 'secondary-color' => '#9d410e', 'tertiary-color' => '#d06b33');
		$skins['purple'] = array('primary-color'=>'#a164d9', 'secondary-color' => '#50207c', 'tertiary-color' => '#a164d9');
		$skins['turquoise'] = array('primary-color'=>'#97af99', 'secondary-color' => '#829583', 'tertiary-color' => '#d4ddd5');
		$skins['wisteria'] = array('primary-color'=>'#4b1e49', 'secondary-color' => '#381136', 'tertiary-color' => '#61235e');
		
        return $skins[ $skin ];
    }
}
?>